import { ModuleLabels } from '../../models/labels';
import { Module } from '../../models/module';
import { InputHandler } from '../../utils/input-handler';
export declare class ModuleEditor {
    #private;
    private el;
    categories: {
        value: string;
        label: string;
    }[];
    existing?: string[];
    label: ModuleLabels;
    value: Module;
    private _advanced;
    private handleAdvancedOptions;
    private handleSlotChange;
    create(path: string, el: any): Promise<void>;
    get<T>(path: string, options?: InputHandler.GetOpts): Promise<T>;
    set<T>(path: string, value: T, options?: InputHandler.SetOpts): Promise<T>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    renderAdvancedOptions(): any[];
    renderGraph(): any[];
    render(): any[];
}
